using System;
using System.Data;
using SK.MemberDAL;

namespace SK.MemberBLL
{
	/// <summary>
	/// RightSystem 的摘要说明。
	/// </summary>
	public class RightSystem
	{
		Right right = new Right();
		public RightSystem()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}
		/// <summary>
		/// 所有权限列表
		/// </summary>
		/// <returns></returns>
		public DataSet List()
		{
			return right.List();
		}
		public DataSet List(object ProductTypeID)
		{
			return right.List(ProductTypeID);
		}
		/// <summary>
		/// 指定的权限信息
		/// </summary>
		/// <param name="RightID"></param>
		/// <returns></returns>
		public DataRow Info(object RightID)
		{
			return right.Info(RightID);
		}
	}
}
